

function OnCulturalIdentityCityConverted(playerID, cityID, loserID)

	if playerID == 62 then
		local cInstance = CityManager.GetCity(playerID, cityID);
		local cityX = cInstance:GetX();
		local cityY = cInstance:GetY();
		
		KillGarrison(cityX, cityY, playerID);
	end --62
end

function KillGarrison(iX, iY, cityOwner)

	local pPlot = Map.GetPlot(iX, iY);
	local cityUnits = Units.GetUnitsInPlot(pPlot);
	for loop, pUnit in ipairs(cityUnits) do
		local uOwner = pUnit:GetOwner();
		if uOwner ~= cityOwner then
			UnitManager.Kill(pUnit);
			print("Killing unit");
		end
	end
end

function Initialize()

	Events.CulturalIdentityCityConverted.Add( OnCulturalIdentityCityConverted );
	print("GarrisonFix STARTED");
	
end

Initialize();
